Bug 1924955 - Images from Private external registry not working in deploy Image
Summary: Images from Private external registry not working in deploy Image
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.7.0
Assignee: Christoph Jerolimov
QA Contact: Mohammed Saud
Rishu Mehra
URL:
Whiteboard:
Depends On:
Blocks: 1926340
TreeView+ depends on / blocked
 
Reported: 2021-02-04 01:28 UTC by Christoph Jerolimov
Modified: 2021-03-10 09:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, all Pods were failing with the `ErrImagePull` and `ImagePullBackOff` errors, even after an Image Pull Secret was added to access the external private image container registry. This is because the image download failed as it had no permissions for the external image registry and the cluster tried to load the container image directly from the external URL without the provided Secret. As a result, the Deployment was stuck until the ServiceAccount or Deployment was updated manually. Now, the issue is fixed and new Deployments can start pods from the internal private container registry and import a container image from an external private container registry without any additional changes on the ServiceAccount or Deployment. (link: https://bugzilla.redhat.com/show_bug.cgi?id=1924955[BZ#1924955])
Clone Of:
Environment:
Last Closed: 2021-02-24 15:58:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8046 0 None closed Bug 1924955: Fix that image containers are fetched from external container registries (which doesn't work for private im... 2021-02-16 12:06:26 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:58:57 UTC

Description Christoph Jerolimov 2021-02-04 01:28:41 UTC
Description of problem:
Images from Private external registry not working in deploy image for Deployment and DeploymentConfig

Version-Release number of selected component (if applicable):
OpenShift 4.2-4.7

How reproducible:
Always

Steps to Reproduce:
1. Go to DevConsole
2. Click on +Add
3. Click on Container Image
4. Provide private image in the search bar along with secrets.
5. create Deployment/DeploymentConfig
5. Pods will not come up and fail with error unable to fetch

Actual results:
After importing a private image container the Pod doesn't start and shows ErrImagePull and ImagePullBackOff errors.

Expected results:
The Pod should start similar to a Pod which which is public available.

Additional info:
Clone of https://issues.redhat.com/browse/ODC-3062

Comment 2 Mohammed Saud 2021-02-05 12:57:52 UTC
Verified on:
Version: 4.7.0-0.nightly-2021-02-04-031352
Browser: Firefox 85, Chrome 88

Comment 5 errata-xmlrpc 2021-02-24 15:58:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.